## lnav 0.8.5

=== CMakeLists.txt ===

cmake_minimum_required (VERSION 2.6)
SET(CMAKE_CXX_STANDARD 14)
project (lnav)
add_subdirectory(src)
add_subdirectory(test)

=== release/Makefile ===

VERSION=0.8.5

SRC_VERSION=master

outbox:
	mkdir -p $@

clean-outbox: outbox
	rm -f outbox/*

PACKAGE_URLS = \
	https://ftp.gnu.org/gnu/make/make-4.2.1.tar.gz \
	ftp://ftp.gnu.org/gnu/ncurses//ncurses-5.9.tar.gz \
	ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.42.tar.gz \
	https://ftp.gnu.org/gnu/readline/readline-6.3.tar.gz \
	http://www.zlib.net/zlib-1.2.11.tar.gz \
	http://www.bzip.org/1.0.6/bzip2-1.0.6.tar.gz \
	https://sqlite.org/2019/sqlite-autoconf-3270200.tar.gz \
	https://www.openssl.org/source/openssl-1.0.2n.tar.gz \
	https://www.libssh2.org/download/libssh2-1.8.0.tar.gz \
	https://curl.haxx.se/download/curl-7.63.0.tar.gz

.PHONY: linux freebsd pkger download-pkgs

%-vm: %
	cd vagrant-static && vagrant up $<

download-pkgs:
	mkdir -p vagrant-static/pkgs && cd vagrant-static/pkgs && \
	for pkg in $(PACKAGE_URLS); do \
		wget -N $${pkg}; \
	done

%-build: % %-vm
	cd vagrant-static && vagrant ssh $< -c "/vagrant/build.sh ${SRC_VERSION}"

%-package: % clean-outbox %-build
	mkdir -p $<-pkg/lnav-${VERSION}
	cp ../README ../NEWS $<-pkg/lnav-${VERSION}
	mv vagrant-static/lnav $<-pkg/lnav-${VERSION}
	cd $<-pkg && zip -r ../outbox/lnav-${VERSION}-$<-64bit.zip lnav-${VERSION}
	rm -rf $<-pkg

linux-ospkg: pkger-vm linux-package
	rm -f vagrant-static/lnav\*.deb vagrant-static/lnav\*.rpm
	cd vagrant-static && vagrant ssh pkger -c "/vagrant/build-pkg.sh ${VERSION}"
	mv vagrant-static/lnav*.deb vagrant-static/lnav*.rpm outbox/

osx-build:
	rm -rf osx-build-dir
	mkdir -p osx-build-dir
	cd ../ && ./autogen.sh
	cd osx-build-dir && ../../configure --with-readline=/usr/local/opt/readline && make -j8 && make dist -j8 && make dist-bzip2

osx-package: clean-outbox osx-build
	mkdir -p osx-pkg/lnav-${VERSION}
	cp ../README ../NEWS osx-pkg/lnav-${VERSION}
	cp osx-build-dir/src/lnav osx-pkg/lnav-${VERSION}
	cp osx-build-dir/lnav-${VERSION}.tar.gz outbox/
	cp osx-build-dir/lnav-${VERSION}.tar.bz2 outbox/
	cd osx-pkg && zip -r ../outbox/lnav-${VERSION}-os-x.zip lnav-${VERSION}
	rm -rf osx-pkg

release: linux-ospkg osx-package

push:
	env LANG=UTF-8 package_cloud push tstack/lnav/ubuntu/lucid outbox/lnav*.deb
	env LANG=UTF-8 package_cloud push tstack/lnav/el/5 outbox/lnav-0.8.5-1.x86_64.rpm

clean:
	cd vagrant-static && vagrant destroy -f
	rm -rf vagrant-static/pkgs

=== src/CMakeLists.txt ===

set(diag_STAT_SRCS
    ansi_scrubber.cc
    bookmarks.cc
    bottom_status_source.cc
    collation-functions.cc
    command_executor.cc
    curl_looper.cc
    db_sub_source.cc
    elem_to_json.cc
    environ_vtab.cc
    extension-functions.cc
    field_overlay_source.cc
    file_vtab.cc
    filter_observer.cc
    filter_status_source.cc
    filter_sub_source.cc
    fs-extension-functions.cc
    fstat_vtab.cc
    fts_fuzzy_match.cc
    grep_proc.cc
    help_text_formatter.cc
    hist_source.cc
    hotkeys.cc
    input_dispatcher.cc
    intern_string.cc
    is_utf8.cc
    json-extension-functions.cc
    json_op.cc
    json_ptr.cc
    line_buffer.cc
    listview_curses.cc
    lnav_commands.cc
    lnav_config.cc
    lnav_log.cc
    lnav_util.cc
    log_accel.cc
    log_actions.cc
    log_format.cc
    log_format_loader.cc
    log_level.cc
    logfile.cc
    logfile_sub_source.cc
    network-extension-functions.cc
    data_scanner.cc
    data_parser.cc
    papertrail_proc.cc
    ptimec_rt.cc
    pretty_printer.cc
    readline_callbacks.cc
    readline_curses.cc
    readline_highlighters.cc
    readline_possibilities.cc
    regexp_vtab.cc
    relative_time.cc
    session_data.cc
    sequence_matcher.cc
    shared_buffer.cc
    shlex.cc
    sqlite-extension-func.cc
    statusview_curses.cc
    string-extension-functions.cc
    sysclip.cc
    pcrepp.cc
    piper_proc.cc
    ptimec.cc
    sql_util.cc
    state-extension-functions.cc
    strnatcmp.c
    text_format.cc
    textfile_highlighters.cc
    textview_curses.cc
    time-extension-functions.cc
    timer.cc
    unique_path.hh
    view_curses.cc
    view_helpers.cc
    views_vtab.cc
    vt52_curses.cc
    vtab_module.cc
    log_vtab_impl.cc
    xterm_mouse.cc
    yajlpp.cc
    yajl/yajl.c
    yajl/yajl_alloc.c
    yajl/yajl_alloc.h
    yajl/yajl_buf.c
    yajl/yajl_buf.h
    yajl/yajl_bytestack.h
    yajl/yajl_encode.c
    yajl/yajl_encode.h
    yajl/yajl_gen.c
    yajl/yajl_lex.c
    yajl/yajl_lex.h
    yajl/yajl_parser.c
    yajl/yajl_parser.h
    yajl/yajl_tree.c
    yajl/yajl_version.c
    spookyhash/SpookyV2.cpp

    all_logs_vtab.hh
    attr_line.hh
    auto_fd.hh
    auto_mem.hh
    auto_pid.hh
    big_array.hh
    bottom_status_source.hh
    byte_array.hh
    command_executor.hh
    column_namer.hh
    curl_looper.hh
    default-log-formats-json.hh
    doc_status_source.hh
    elem_to_json.hh
    field_overlay_source.hh
    file_vtab.hh
    filter_observer.hh
    filter_status_source.hh
    filter_sub_source.hh
    format-text-files.hh
    fstat_vtab.hh
    fts_fuzzy_match.hh
    grep_highlighter.hh
    help.hh
    help_text_formatter.hh
    highlighter.hh
    hotkeys.hh
    init-sql.hh
    input_dispatcher.hh
    intern_string.hh
    is_utf8.hh
    k_merge_tree.h
    log_actions.hh
    log_data_helper.hh
    log_data_table.hh
    log_format_impls.cc
    log_gutter_source.hh
    log_level.hh
    log_search_table.hh
    logfile_stats.hh
    optional.hpp
    papertrail_proc.hh
    plain_text_source.hh
    pretty_printer.hh
    preview_status_source.hh
    ptimec.hh
    pthreadpp.hh
    readline_callbacks.hh
    readline_possibilities.hh
    regexp_vtab.hh
    relative_time.hh
    ring_span.hh
    sequence_sink.hh
    shlex.hh
    simdutf8check.h
    spectro_source.hh
    strong_int.hh
    sysclip.hh
    term_extra.hh
    termios_guard.hh
    text_format.hh
    textfile_highlighters.hh
    textfile_sub_source.hh
    time_T.hh
    timer.hh
    top_status_source.hh
    url_loader.hh
    views_vtab.hh
    vtab_module.hh
    xterm-palette.hh
    yajlpp.hh
    yajlpp_def.hh

    mapbox/recursive_wrapper.hpp
    mapbox/variant.hpp
    mapbox/variant_io.hpp
    mapbox/variant_visitor.hpp

    yajl/api/yajl_common.h
    yajl/api/yajl_gen.h
    yajl/api/yajl_parse.h
    yajl/api/yajl_tree.h

    filesystem/fwd.h
    filesystem/path.h
    filesystem/resolver.h

    ../../lbuild-debug/src/config.h
    )

set(lnav_SRCS lnav.cc)

include_directories(../../lbuild-debug/src /opt/local/include)
include_directories(SYSTEM .)
add_executable(lnav ${lnav_SRCS} ${diag_STAT_SRCS})

=== test/CMakeLists.txt ===

include_directories(../../lbuild-debug/src ../src/ /opt/local/include)

add_executable(lnav_doctests
        lnav_doctests.cc
        ../src/relative_time.cc
        ../../lbuild-debug/src/time_fmts.cc
        ../src/ptimec_rt.cc
        ../src/pcrepp.cc
        ../src/lnav_log.cc)
add_executable(test_pcrepp test_pcrepp.cc ../src/lnav_log.cc ../src/pcrepp.cc)
add_executable(test_reltime test_reltime.cc
        ../src/relative_time.cc
        ../src/pcrepp.cc
        ../src/lnav_log.cc)
add_executable(test_date_time_scanner test_date_time_scanner.cc
        ../src/lnav_util.cc
        ../../lbuild-debug/src/time_fmts.cc
        ../src/ptimec_rt.cc
        ../src/pcrepp.cc
        ../src/lnav_log.cc
        ../src/spookyhash/SpookyV2.cpp)
add_executable(test_abbrev test_abbrev.cc
        ../src/lnav_util.cc
        ../../lbuild-debug/src/time_fmts.cc
        ../src/ptimec_rt.cc
        ../src/pcrepp.cc
        ../src/lnav_log.cc
        ../src/spookyhash/SpookyV2.cpp)
add_executable(test_json_ptr test_json_ptr.cc
        ../src/lnav_util.cc
        ../../lbuild-debug/src/time_fmts.cc
        ../src/ptimec_rt.cc
        ../src/pcrepp.cc
        ../src/lnav_log.cc
        ../src/spookyhash/SpookyV2.cpp)
add_executable(drive_json_op drive_json_op.cc
        ../src/lnav_util.cc
        ../../lbuild-debug/src/time_fmts.cc
        ../src/ptimec_rt.cc
        ../src/pcrepp.cc
        ../src/lnav_log.cc
        ../src/spookyhash/SpookyV2.cpp)
add_executable(drive_sql_anno drive_sql_anno.cc ../src/lnav_log.cc ../src/pcrepp.cc)
link_directories(/opt/local/lib)
target_link_libraries(test_pcrepp /usr/local/lib/libpcre.a)
target_link_libraries(test_reltime /usr/local/lib/libpcre.a)
target_link_libraries(lnav_doctests /usr/local/lib/libpcre.a)
target_link_libraries(test_date_time_scanner /usr/local/lib/libpcre.a)
target_link_libraries(test_abbrev /usr/local/lib/libpcre.a)
target_link_libraries(drive_sql_anno /usr/local/lib/libpcre.a)
target_link_libraries(test_json_ptr /usr/local/lib/libpcre.a)

## lnav 0.6.1

=== debian/changelog ===
lnav (0.6.1-1) unstable; urgency=low

  * Imported Upstream version 0.6.1
  * Rewrite watch file for github releases location
  * Update copyright years for upstream files
  * Add copyright stanzas for new files in source
  * Refresh default-to-var-log-syslog-on-Debian.patch patch
  * Add Build-Depends on python-all
  * Add Build-Depends on sqlite3

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 26 Sep 2013 19:47:03 +0200

lnav (0.5.1-2) unstable; urgency=low

  * Install src/help.txt additionally into /usr/share/doc/lnav docs
    (Closes: #721817)
  * Add default-to-var-log-syslog-on-Debian.patch patch.
    On Debian the default /etc/rsyslog.conf shipped with rsyslog prefers
    logs *.* to /var/log/syslog. Thus prefer this logfile in list of default
    logfiles. (Closes: #721700)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 05 Sep 2013 19:23:43 +0200

lnav (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #719211)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Aug 2013 13:48:24 +0200

=== debian/control ===
Source: lnav
Section: admin
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libbz2-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpcre3-dev,
 libreadline-dev,
 libsqlite3-dev,
 libssl-dev,
 python-all,
 sqlite3,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://lnav.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/carnil/lnav.git
Vcs-Git: git://anonscm.debian.org/users/carnil/lnav.git

Package: lnav
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ncurses-based log file viewer
 The log file navigator, lnav, is an enhanced log file viewer that
 takes advantage of any semantic information that can be gleaned from
 the files being viewed, such as timestamps and log levels.  Using this
 extra semantic information, lnav can do things like interleaving
 messages from different files, generate histograms of messages over
 time, and providing hotkeys for navigating through the file.  It is
 hoped that these features will allow the user to quickly and
 efficiently zero in on problems.

## lnav 0.6.2

=== debian/changelog ===
lnav (0.6.2-1) unstable; urgency=low

  * Imported Upstream version 0.6.2
  * Refresh default-to-var-log-syslog-on-Debian.patch (offset)
  * Bump Standards-Version to 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 11 Nov 2013 08:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python-all,
  sqlite3,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://lnav.org
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/carnil/lnav.git
 Vcs-Git: git://anonscm.debian.org/users/carnil/lnav.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## lnav 0.7.0

=== debian/changelog ===
lnav (0.7.0-3build1) wily; urgency=medium

  * No-change rebuild against libpcrecpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 23:36:12 +0000

lnav (0.7.0-3) unstable; urgency=low

  * Add 743503.patch patch.
    Correctly convert byte encoding for 32bit value from little-endian order
    to host byte order. Fixes FTBFS on big-endian architectures.
    Thanks to Jurica Stanojkovic and Patrick Baggett (Closes: #743503)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Apr 2014 16:59:44 +0200

lnav (0.7.0-2) unstable; urgency=low

  * Use a temporary writable home during build.
    Fixes "lnav: FTBFS on all architectures" if $HOME of building user is
    not writable. (Closes: #743370)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Apr 2014 13:11:47 +0200

lnav (0.7.0-1) unstable; urgency=low

  * Imported Upstream version 0.7.0
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging
  * Add new copyright stanza for SpookyV2.* files
  * Refresh default-to-var-log-syslog-on-Debian.patch patch (offset)
  * Drop installation of debian/lnav.1.
    The manpage is now included upstream with lnav.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 30 Mar 2014 19:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lnav
 Section: admin
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,18 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+BUILDHOME = $(CURDIR)/debian/build
+
 %:
 	dh $@  --with autotools-dev
+
+verride_dh_clean:
+	dh_clean
+	rm -rf $(BUILDHOME)
+
+override_dh_auto_test:
+	mkdir -p $(BUILDHOME)
+	HOME=$(BUILDHOME) dh_auto_test
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static

## lnav 0.8.1

=== debian/changelog ===
lnav (0.8.1-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Aug 2016 07:38:23 +0200

lnav (0.8.1-1) experimental; urgency=medium

  * Imported Upstream version 0.8.1
  * Update copyright years for upstream files
  * Add copyright stanza for new files under src/filesystem

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Aug 2016 18:00:53 +0200

lnav (0.8.0-2) unstable; urgency=low

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Aug 2016 16:20:13 +0200

lnav (0.8.0-1) experimental; urgency=medium

  * Imported Upstream version 0.8.0
  * Refresh default-to-var-log-syslog-on-Debian.patch patch
  * Drop disable-network-accessing-tests.patch patch
  * Add copyright and license information for m4/libcurl.m4
  * Add re2c to Build-Depends
  * Add libcurl4-gnutls-dev to Build-Depends
  * Use HTTPS transport in Bug-Debian URL for patches
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8
  * Do not run test suite in build.
    The tests are failing unreliably, cf. #783141, #826834.
  * debian/control: Use HTTPS transport URL for Vcs-Git field
  * debian/rules: Build enabling all hardening flags
  * debian/copyright Use HTTPS transport in Format specification URL
  * debian/copyright: Separate vebatim BSD-3-clause license text.
    Use the sort name in the various stanzas and replicate the text for the
    BSD-3-clause license in a own License stanza.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Aug 2016 13:19:45 +0200

lnav (0.7.3-1) experimental; urgency=medium

  * Imported Upstream version 0.7.3
    - Fixes FTBFS on big-endian architectures (Closes: #771203)
  * Update copyright years for upstream files
  * Add copyright stanzas for new files in source.
    Add copyright stanzas in debian/copyright for three new files in the
    sources: m4/lnav_with_readline.m4, m4/lnav_with_sqlite3.m4 and
    m4/lnav_with_yajl.m4.
  * debian/copyright: cleanup trailing whitespaces
  * Fix typo in override target for dh_clean in debian/rules
  * Referesh default-to-var-log-syslog-on-Debian.patch patch (offset)
  * Add disable-network-accessing-tests.patch patch.
    Disable tests which will try to access network.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Apr 2015 19:36:20 +0200

lnav (0.7.2-1) experimental; urgency=medium

  * Imported Upstream version 0.7.2
  * Refresh default-to-var-log-syslog-on-Debian.patch patch
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 03 Mar 2015 06:46:58 +0100

lnav (0.7.1-1) experimental; urgency=medium

  * Imported Upstream version 0.7.1
  * Update copyright years for yajl embedded copy
  * Update Vcs-Browser field
  * Refresh default-to-var-log-syslog-on-Debian.patch patch (offset)
  * Drop 743503.patch patch
  * Declare compliance with Debian Policy 3.9.6
  * Add abbreviated name for the licenses in debian/copyright

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 Nov 2014 11:10:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lnav
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
  libbz2-dev,
+ libcurl4-gnutls-dev,
  libncurses5-dev,
  libncursesw5-dev,
  libpcre3-dev,
@@ -14,12 +14,13 @@
  libsqlite3-dev,
  libssl-dev,
  python-all,
+ re2c,
  sqlite3,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://lnav.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/carnil/lnav.git
-Vcs-Git: git://anonscm.debian.org/users/carnil/lnav.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/lnav.git
+Vcs-Git: https://anonscm.debian.org/git/users/carnil/lnav.git
 
 Package: lnav
 Architecture: any

## lnav 0.8.2

=== debian/changelog ===
lnav (0.8.2-3) unstable; urgency=medium

  * Upload to unstable
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 10
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 23 Jun 2017 13:03:38 +0200

lnav (0.8.2-2) experimental; urgency=medium

  * Add upstream patch to fix FTBFS on 32bit architectures

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Apr 2017 09:45:42 +0200

lnav (0.8.2-1) experimental; urgency=medium

  * New upstream version 0.8.2
  * debian/control: Bump required libsqlite3-dev version to (>= 3.9.0)
  * debian/control: Drop unneded sqlite3 from Build-Depends
  * debian/control: Drop unneeded Build-Depends on libssl-dev.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #855603)
  * debian/copyright Refresh information for upstream files.
    Update copyright years for upstream files.
    Add new copyright stanzas for newly added files in the source tarball.
    Add license stanzas for BSL-1.0, Expat and GPL-3+.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Apr 2017 13:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,18 @@
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 10),
  libbz2-dev,
  libcurl4-gnutls-dev,
  libncurses5-dev,
  libncursesw5-dev,
  libpcre3-dev,
  libreadline-dev,
- libsqlite3-dev,
- libssl-dev,
+ libsqlite3-dev (>= 3.9.0),
  python-all,
  re2c,
- sqlite3,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://lnav.org
 Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/lnav.git
 Vcs-Git: https://anonscm.debian.org/git/users/carnil/lnav.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with autotools-dev

override_dh_auto_test:
	# Skip all tests, they are currently unreliable

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## lnav 0.8.3

=== debian/changelog ===
lnav (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Declare compliance with Debian policy 4.1.4
  * Set Rules-Requires-Root to no
  * Drop Fix-FTBFS-on-32bit-architectures.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Apr 2018 14:55:40 +0200

lnav (0.8.2-4) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * debian/control: Use HTTPS transport in Homepage field
  * Drop use of --with autotools-dev addon
  * Drop Build-Depends on autotools-dev
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 11
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Mar 2018 15:31:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 10),
+ debhelper (>= 11),
  libbz2-dev,
  libcurl4-gnutls-dev,
  libncurses5-dev,
@@ -15,10 +14,11 @@
  python-all,
  re2c,
  zlib1g-dev
-Standards-Version: 4.0.0
-Homepage: http://lnav.org
-Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/lnav.git
-Vcs-Git: https://anonscm.debian.org/git/users/carnil/lnav.git
+Standards-Version: 4.1.4
+Homepage: https://lnav.org
+Vcs-Browser: https://salsa.debian.org/carnil/lnav
+Vcs-Git: https://salsa.debian.org/carnil/lnav.git
+Rules-Requires-Root: no
 
 Package: lnav
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@  --with autotools-dev
+	dh $@
 
 override_dh_auto_test:
 	# Skip all tests, they are currently unreliable

## lnav 0.8.4

=== debian/changelog ===
lnav (0.8.4-5build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:01:37 +0000

lnav (0.8.4-5) unstable; urgency=medium

  * Disable test_sql completely as contains time dependent tests.
    Fixes "FTBFS (failing test)"
    Thanks to Santiago Vila and Adrian Bunk (Closes: #918153)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Jan 2019 09:33:07 +0100

lnav (0.8.4-4) unstable; urgency=medium

  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 17:47:04 +0100

lnav (0.8.4-3) unstable; urgency=medium

  * [sql] timeslice() fails on 32-bit.
    Fixes "lnav FTBFS on 32bit: FAIL: test_sql_time_func.sh".
    (Closes: #913526)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Dec 2018 18:05:09 +0100

lnav (0.8.4-2) unstable; urgency=medium

  * lnav_commands: fix attempt to convert uninitialized max_time
  * try make locale test optional
  * Drop disable-locale-dependent-tests.patch
  * Add patch to disable broken test_logfile test

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Nov 2018 13:46:39 +0100

lnav (0.8.4-1) unstable; urgency=medium

  * Add an initial Gitlab CI config file
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * New upstream version 0.8.4
  * Update copyright years for upstream files
  * Declare compliance with Debian policy 4.2.1
  * Disable locale dependent test in upstream testsuite
  * debian/rules: Reenable upstream testsuite

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 03 Nov 2018 16:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libbz2-dev,
  libcurl4-gnutls-dev,
  libncurses5-dev,
@@ -14,7 +14,7 @@
  python-all,
  re2c,
  zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://lnav.org
 Vcs-Browser: https://salsa.debian.org/carnil/lnav
 Vcs-Git: https://salsa.debian.org/carnil/lnav.git

## lnav 0.8.5

=== debian/changelog ===
lnav (0.8.5-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Disable lnav_commands-fix-attempt-to-convert-uninitialized-m.patch,
    try-make-locale-test-optional.patch,
    and sql-timeslice-fails-on-32-bit.patch,fixed upstream.
  * Relace disable-broken-test_logfile-test.patch and disable-test_sql.patch 
    with merge-logfile-and-sql-disabled-tests.patch.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Jun 2019 18:52:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lnav
 Section: admin
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 10),
  libbz2-dev,
  libcurl4-gnutls-dev,
  libncurses5-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lnav 0.9.0

=== debian/changelog ===
lnav (0.9.0-2ubuntu1) jammy; urgency=medium

  * Update vendored doctest to 2.4.6 to avoid FTBFS with glibc 2.34

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 Apr 2022 09:18:22 +0000

lnav (0.9.0-2) unstable; urgency=medium

  * add notes for automatic decisions and fix compile errors.
    Fixes FTBFS with GCC-11. (Closes: #984220)
  * Declare compliance with Debian policy 4.6.0
  * Update copyright years for debian/* packaging files
  * Update versioned Build-Depends on libsqlite3-dev to be unversioned

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Oct 2021 14:07:52 +0200

lnav (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * debian/copyright: Add copyright information for new files
  * debian/copyright: Update copyright years for upstream files
  * Declare compliance with Debian policy 4.5.1
  * Refresh "Prefer /var/log/syslog over /var/log/messages"
  * Refresh "Disable broken test_logfile.sh test"
  * Refresh "Disable test_sql completely as contains time dependent tests"
  * debian/watch: Bump format to version 4.
    Use @PACKAGE@ and @ARCHIVE_EXT@ substitutions.
  * Disable broken test_listview.sh test in testsuite (Closes: #975803)
  * debian/copyright: Remove stanza for dropped files upstream

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 30 Dec 2020 10:01:56 +0100

lnav (0.8.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Salvatore Bonaccorso ]
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 13

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 Aug 2020 15:47:39 +0200

lnav (0.8.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 03 Sep 2019 10:44:41 +0200

lnav (0.8.5-1) experimental; urgency=medium

  * Update to current salsa CI pipeline
  * New upstream version 0.8.5
  * Update copyright years for upstream files
  * debian/copyright: Add copyright stanza new src/is_utf8.* files
  * debian/copyright: Add copyright stanza for new src/ring_span.hh file
  * Update copyright years for debian/* packaging files
  * Drop lnav_commands-fix-attempt-to-convert-uninitialized-m.patch
  * Drop try-make-locale-test-optional.patch
  * Refresh disable-broken-test_logfile-test.patch
  * Drop sql-timeslice-fails-on-32-bit.patch
  * Refresh disable-test_sql.patch
  * Declare compliance with Debian policy 4.4.0
  * Drop Build-Depends on python-all.
    The build dependency on a python 2 version is actually not needed.
    (Closes: #936961)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 02 Sep 2019 23:55:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: lnav
 Section: admin
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libbz2-dev,
  libcurl4-gnutls-dev,
  libncurses5-dev,
  libncursesw5-dev,
  libpcre3-dev,
  libreadline-dev,
- libsqlite3-dev (>= 3.9.0),
- python-all,
+ libsqlite3-dev,
  re2c,
  zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: https://lnav.org
 Vcs-Browser: https://salsa.debian.org/carnil/lnav
 Vcs-Git: https://salsa.debian.org/carnil/lnav.git

=== debian/watch ===
version=4
https://github.com/tstack/@PACKAGE@/releases /tstack/@PACKAGE@/releases/download/(?:.*)/@PACKAGE@-(\d[\d.-]+)@ARCHIVE_EXT@$

## lnav 0.10.1

=== debian/changelog ===
lnav (0.10.1-6) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 17 Aug 2022 23:22:28 +0200

lnav (0.10.1-5) experimental; urgency=medium

  * Disable the 'truncate_to' test (causes FTBFS on s390x)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 17 Aug 2022 22:55:11 +0200

lnav (0.10.1-4) experimental; urgency=medium

  * [time_util] cap large year in tm2sec() instead of returning BAD_DATE

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 Aug 2022 07:30:35 +0200

lnav (0.10.1-3) experimental; urgency=medium

  * Revert "Drop patches to disble some broken tests"
  * Declare compliance with Debian policy 4.6.1
  * update json sql test for sqlite bugfix (Closes: 1014335)
  * Add `#include <iterator>` to `string_util.cc` (fixes FTBFS)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 03 Aug 2022 14:13:13 +0200

lnav (0.10.1-2) experimental; urgency=medium

  * debian/control: Add Build-Depends on libarchive-dev
  * debian/control: Add xz-utils to Build-Depends

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Apr 2022 22:09:25 +0200

lnav (0.10.1-1) experimental; urgency=medium

  * New upstream version 0.10.1
    - Fixes FTBFS with glibc 2.34 (Closes: #1009631)
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Refresh "Prefer /var/log/syslog over /var/log/messages"
  * Drop "[logfile] add notes for automatic decisions and fix compile errors"
  * debian/control: Add openssh-client to Build-Depends
  * Drop patches to disble some broken tests
  * Disable failing test_mvwattrline test
  * Disable failing test_vt52_curses test
  * debian/copyright: Drop uneeded stanzas for files dropped upstream
  * Rename Salsa CI configuration file to debian/salsa-ci.yml

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Apr 2022 21:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lnav
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ libarchive-dev,
  libbz2-dev,
  libcurl4-gnutls-dev,
  libncurses5-dev,
@@ -12,9 +12,11 @@
  libpcre3-dev,
  libreadline-dev,
  libsqlite3-dev,
+ openssh-client,
  re2c,
- zlib1g-dev
-Standards-Version: 4.6.0
+ zlib1g-dev,
+ xz-utils
+Standards-Version: 4.6.1
 Homepage: https://lnav.org
 Vcs-Browser: https://salsa.debian.org/carnil/lnav
 Vcs-Git: https://salsa.debian.org/carnil/lnav.git
